"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
class Rest {
    constructor(client) {
        this.client = client;
    }
    configure(url) {
        return this._inst = axios_1.default.create({
            baseURL: url,
            headers: { common: { Authorization: this.client.password } },
        });
    }
    async load(identifier) {
        if (!this._inst)
            throw new Error('no rest configuration available');
        const { data } = await this._inst.get('/loadtracks', {
            params: { identifier },
        });
        return data;
    }
    async decode(tracks) {
        if (!this._inst)
            throw new Error('no rest configuration available');
        const { data } = Array.isArray(tracks) ?
            await this._inst.post('/decodetracks', tracks) :
            await this._inst.get('/decodetrack', { params: { track: tracks } });
        return data;
    }
}
exports.default = Rest;

//# sourceMappingURL=Rest.js.map
