/// <reference types="node" />
import { Player } from 'lavalink';
import { RedisClient } from 'redis-p';
import QueueStore from './QueueStore';
import { EventEmitter } from 'events';
export default class Queue extends EventEmitter {
    readonly store: QueueStore;
    readonly guildID: string;
    readonly keys: {
        list: string;
        np: string;
    };
    constructor(store: QueueStore, guildID: string);
    readonly player: Player;
    start(): Promise<boolean>;
    add(...tracks: string[]): Promise<number>;
    remove(track: string): Promise<number>;
    next(): Promise<boolean>;
    stop(): Promise<void>;
    clear(): Promise<number>;
    current(): Promise<{
        [key: string]: string;
    }>;
    protected readonly _redis: RedisClient;
}
